Package com.macrofocus.high_d.table.swing

# Class SwingTable<R,C,V>

java.lang.Object
com.macrofocus.high_d.table.AbstractTable<JComponent,Color,Format,R,C,V>
com.macrofocus.high_d.table.swing.SwingTable<R,C,V>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `Table<JComponent,Color,Format,R,C,V>`

public class SwingTable<R,C,V> extends AbstractTable<JComponent,Color,Format,R,C,V>
Created by luc on 27/07/15.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SwingTable.FormattedRenderer<C>`
  `class`
  `SwingTable.RollOverTable`

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.table.Table

  `Table.CellRenderer<Component,R,C,V>, Table.ColumnResizePolicy, Table.DetailsFactory<Component,R>, Table.InteractionMode, Table.PropertyType, Table.Style`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.table.AbstractTable

  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTable()`
  `SwingTable(com.macrofocus.molap.dataframe.DataFrame<R,C,V> filteredDataFrame, com.macrofocus.molap.dataframe.DataFrame<R,C,V> completeDataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)`
  `SwingTable(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)`
  `JTable`
  `getJTable()`
  `JScrollPane`
  `getNativeComponent()`
  `com.macrofocus.molap.dataframe.DataFrame<R,C,V>`
  `getSortedDataFrame()`
  `void`
  `reset()`
  `void`
  `setCellRenderer(C column, Table.CellRenderer<JComponent,R,C,V> renderer)`
  `void`
  `setColumnResizePolicy(Table.ColumnResizePolicy policy)`
  `void`
  `setColumnVisible(C column, boolean visible)`
  `void`
  `setDetailsFactory(boolean alwaysVisible, Table.DetailsFactory<JComponent,R> factory)`
  `void`
  `setFormat(C column, com.macrofocus.format.CPFormat format)`
  `void`
  `setFrozenColumnCount(int columnCount)`
  `void`
  `setHidable(C column, boolean hidable)`
  `void`
  `setLabel(C column, String label)`
  `void`
  `setModel(ShowFilteredDataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<R,C> axisGroupModel)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setSortKey(C column, com.macrofocus.molap.dataframe.SortOrder order)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.table.AbstractTable

  `getColorTheme, getInteractionMode, getLocksmith, getShowDistribution, getShowFiltered, getStyle, isSelectionMode, setColorTheme, setLocksmith, setSelectionMode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTable

    public SwingTable()

  - ### SwingTable

    public SwingTable(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)

  - ### SwingTable

    public SwingTable(com.macrofocus.molap.dataframe.DataFrame<R,C,V> filteredDataFrame, com.macrofocus.molap.dataframe.DataFrame<R,C,V> completeDataFrame, com.macrofocus.visual.Visual<Color,R,C> visual)

- ## Method Details

  - ### getSortedDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<R,C,V> getSortedDataFrame()

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### setModel

    public void setModel(ShowFilteredDataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<R,C> axisGroupModel)

  - ### getNativeComponent

    public JScrollPane getNativeComponent()

  - ### adjustColumns

    public void adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)

  - ### setColumnVisible

    public void setColumnVisible(C column, boolean visible)

  - ### setHidable

    public void setHidable(C column, boolean hidable)

  - ### setSortKey

    public void setSortKey(C column, com.macrofocus.molap.dataframe.SortOrder order)

  - ### setFormat

    public void setFormat(C column, com.macrofocus.format.CPFormat format)

  - ### setLabel

    public void setLabel(C column, String label)

  - ### setFrozenColumnCount

    public void setFrozenColumnCount(int columnCount)

  - ### reset

    public void reset()

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### setColumnResizePolicy

    public void setColumnResizePolicy(Table.ColumnResizePolicy policy)

  - ### setCellRenderer

    public void setCellRenderer(C column, Table.CellRenderer<JComponent,R,C,V> renderer)

  - ### setDetailsFactory

    public void setDetailsFactory(boolean alwaysVisible, Table.DetailsFactory<JComponent,R> factory)

  - ### getJTable

    public JTable getJTable()